## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    buildbox
Version: 1.2.15
Release: %autorelease
Summary: Building blocks to execute actions conforming to the Remote Execution API

License: Apache-2.0
URL:     https://buildgrid.gitlab.io/buildbox/buildbox-home/
Source0: https://gitlab.com/BuildGrid/buildbox/buildbox/-/archive/%{version}/buildbox-%{version}.tar.bz2

ExcludeArch: %{ix86}

BuildRequires: attr
BuildRequires: cmake
BuildRequires: fuse3
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: net-tools
BuildRequires: ninja-build
BuildRequires: pkgconfig(benchmark)
BuildRequires: pkgconfig(fuse3)
BuildRequires: pkgconfig(gmock_main)
BuildRequires: pkgconfig(grpc)
BuildRequires: pkgconfig(gtest)
BuildRequires: pkgconfig(libcares)
BuildRequires: pkgconfig(libglog)
BuildRequires: pkgconfig(nlohmann_json)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(protobuf)
BuildRequires: pkgconfig(tomlplusplus)
BuildRequires: pkgconfig(uuid)

Requires: bubblewrap

%description
buildbox provides a set of building blocks to execute actions conforming to the
Remote Execution API, also supporting the Remote Worker API.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DCMAKE_CXX_FLAGS="%{optflags} -Wno-format-security"
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%{_bindir}/buildbox-casd
%{_bindir}/buildbox-fuse
%{_bindir}/buildbox-run-bubblewrap
%{_bindir}/buildbox-run-hosttools
%{_bindir}/buildbox-run-oci
%{_bindir}/buildbox-run-userchroot
%{_bindir}/buildbox-worker
%{_bindir}/casdownload
%{_bindir}/casupload
%{_bindir}/logstreamreceiver
%{_bindir}/logstreamtail
%{_bindir}/outputstreamer
%{_bindir}/recc
%{_bindir}/rexplorer
%{_bindir}/rumba
%{_bindir}/rumbad
%{_bindir}/trexe

%changelog
* Sat Sep 07 2024 Javier Jardón <jjardon@gnome.org> - 1.2.15-1
- Update to 1.2.15

* Sun Aug 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.14-2
- Rebuilt for abseil-cpp-20240722.0

* Thu Aug 15 2024 Javier Jardón <jjardon@gnome.org> - 1.2.14-1
- Update to 1.2.14

* Sun Aug 11 2024 Javier Jardón <jjardon@gnome.org> - 1.2.13-1
- Update to 1.2.13

* Thu Aug 08 2024 Javier Jardon <jjardon@gnome.org> - 1.2.12-2
- Disable i686 build

* Thu Aug 08 2024 Javier Jardon <jjardon@gnome.org> - 1.2.12-1
- Initial import (fedora#2302674).
